﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
namespace XamDataGridMultiIconField
{
    public class Person : INotifyPropertyChanged
    {
        private ContactType contactType = ContactType.Contact;
        private string Name;

        public Person(ContactType c, string name) { MyContactType = c; Name = name; }
        public string cName { get { return Name; } set { Name = value; OnPropertyChanged("Name"); } }

        public ContactType MyContactType
        {
            get { return contactType; }
            set
            {
                contactType = value;
                OnPropertyChanged("MyContactType");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler h = PropertyChanged;
            if (h != null)
                h(this, new PropertyChangedEventArgs(name));
        }

        public enum ContactType
        {
            Contact,
            Customer,
            Manufacturer
        };
    }
    public class People : ObservableCollection<Person>
    {
        private Random random = new Random();
        public People()
        {
            Add(new Person(Person.ContactType.Contact | Person.ContactType.Customer, "one"));
            Add(new Person(Person.ContactType.Customer | Person.ContactType.Manufacturer, "two"));
            Add(new Person(Person.ContactType.Manufacturer, "three"));
            Add(new Person(Person.ContactType.Customer, "four"));
        }
    }


}
